[MAIN]
ignore=.venv

[MESSAGES CONTROL]
disable=
    missing-docstring,
    too-few-public-methods,
    too-many-instance-attributes,
    too-many-arguments,
    too-many-locals,
    too-many-boolean-expressions,
    too-many-public-methods,
    no-else-return,
    singleton-comparison,
    unused-argument,
    unspecified-encoding,
    fixme,
    duplicate-code,

extension-pkg-allow-list=
    lxml,
    GeoIP,
    pydantic

[MISCELLANEOUS]
notes=FIXME,TODO

[FORMAT]
max-line-length=120

[DESIGN]
max-parents=8
max-args=8